/*
Used in the Yahoo! Widget - not yet used in the Web Widget.
*/

/*property
    defaultValue, description, forEach, formula, multiplier, name, option,
    push, scale, title, type, units
*/

// makeFFT(formula, multiplier, scale, units, title)

function calcForm() {
    "use strict";
	var objDef = [
        ["formula", "Formula:", "text", [], "", "Enter a formula or function of t."],
        ["multiplier", "Multiplier:", "popup", ["unity", "k", "M", "G", "T"], "unity", "Choose the scale multiplier."],
        ["scale", "Scale Factor:", "popup", ["0.1", "0.2", "0.4", "0.5", "0.8", "1.0", "2.0", "4.0", "5.0", "8.0", "10.0"], "1.0", "Choose the scale factor."],
        ["units", "Frequency Units:", "popup", ["Units", "-", "Hz", "rad/s"], "Units", "Choose the units to be displayed for frequency on the graph and in the report.\n\nNote that this is used for display purposes only and has no effect on the calculation."],
        ["title", "Title:", "text", [], "", "Enter a title for this calculation."]
	];

	var result = null;
	var formfields = [];
	var formResults;

	function doThis(def) {
        var formfield = new FormField();

        formfield.name = def[0];
        formfield.title = def[1];
        formfield.type = def[2];
        formfield.option = def[3];
        formfield.defaultValue = def[4];
        formfield.description = def[5];
        formfields.push(formfield);
    }

    objDef.forEach(doThis);

	formResults = form(formfields, "FFT Display", "Save");

	if (formResults !== null) {
		result = {};
		result.formula = formResults[0];
		result.multiplier = formResults[1];
		result.scale = formResults[2];
		result.units = formResults[3];
		result.title = formResults[4];
	}

	return result;
}
